Introduction

SonarMite is software designed to run on a typical PDA or PC system working in conjunction with the SonarMite echo sounder from Ohmex and typical GPS positioning equipment.


License

Lymtech LLC - LICENSE AGREEMENT

HIS LEGAL DOCUMENT IS AN AGREEMENT BETWEEN YOU, THE END USER, AND Lymtech LLC. BY USING THIS SOFTWARE, YOU ARE AGREEING TO BE BOUND BY THE TERMS OF THIS AGREEMENT, WHICH INCLUDES THE SOFTWARE LICENCE, LIMITED WARRANTY AND ACKNOWLEDGMENT. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT YOU SHOULD PROMPTLY RETURN THE DISKETTES AND OTHER ITEMS (INCLUDING WRITTEN MATERIALS, BINDERS OR OTHER CONTAINERS, AND HARDWARE, IF ANY) WHICH ARE PART OF THIS PRODUCT TO THE PLACE WHERE YOU OBTAINED THEM FOR A FULL REFUND. In order to preserve and protect its rights under applicable laws, Lymtech LLC does not sell any rights in its software. Rather, Lymtech LLC grants the right to use its software by means of a SOFTWARE LICENCE. Lymtech LLC specifically retains title to all Lymtech LLC computer software.

GRANT OF LICENCE. In consideration of payment of the LICENCE fee which is part of the price you paid for this product, and your agreement to abide by the terms and conditions of this license and the Limited Warranty, Lymtech LLC, as Licenser, grants to you, the LICENSEE, non-exclusive right to use and display this copy of an Lymtech LLC software program (hereinafter called the "SOFTWARE") on a single computer (ie with a single CPU) at a single location so long as you comply with the terms of this license. If you plan to operate the software on a network, please contact Lymtech LLC Ltd to request a site license. Lymtech LLC reserves all rights not expressly granted to LICENSEE.

OWNERSHIP OF SOFTWARE. As the LICENSEE, you own the magnetic or other physical media on which the SOFTWARE is originally or subsequently recorded or fixed, but express condition of this license is that Lymtech LLC retains title and ownership of the SOFTWARE recorded on the original disk copy(ies) and all subsequent copies of the SOFTWARE, regardless of the form or media in or on which the original and other copies may exist . This license is not a sale of the original SOFTWARE or any copy.

COPY RESTRICTIONS. This SOFTWARE and the accompanying written materials are the subject of copyright. Unauthorized copying of the SOFTWARE, including SOFTWARE which has been modified, merged, or included with other software, or of the written materials is expressly forbidden. You may be held legally responsible for any copyright infringement which caused or encouraged by your failure to abide by the terms of this license.

Subject to the restrictions above, and if the SOFTWARE is not copy-protected, you may make one (1) copy of the SOFTWARE solely for backup purposes. You must reproduce and include the copyright notice on the backup copy.

USE RESTRICTIONS. As the LICENSEE, you may physically transfer the SOFTWARE from one computer to another provided that the SOFTWARE is used on only one computer at a time. You may not electronically transfer the SOFTWARE from one computer to another over a network. You may not distribute copies of the SOFTWARE or accompanying written materials to others. You may not modify, adapt, translate, reverse engineer, decompile, disassemble, or create derivative works based on the SOFTWARE. You may modify, adapt, translate or create derivative works based on the materials without the prior written consent of Lymtech LLC.

TRANSFER RESTRICTIONS. This SOFTWARE is licensed only to you, the LICENSEE, and may not be transferred to anyone without prior written consent of Lymtech LLC. Any authorized transferee of the SOFTWARE shall be bound by the terms and conditions of this License and Limited Warranty. In no event may you transfer, assign, rent, lease, sell or otherwise dispose of the SOFTWARE on a temporary or permanent basis except as expressly provided herein.

TERMINATION. This license is effective until terminated. This license will terminate automatically without notice from Lymtech LLC if you fail to comply with any provision of this license. Upon termination you shall destroy the written materials and all copies of the SOFTWARE, including modified copies, if any.

UPDATE POLICY. Lymtech LLC creates from time to time updated versions of the SOFTWARE. At its option, Lymtech LLC will make such updates available to LICENSEE and transferees who have paid the update fee and returned the registration card to Lymtech LLC.

MISCELLANEOUS. This license shall be governed and construed in accordance with the laws of the state of Nevada and shall benefit Lymtech LLC, its successors and assigns.

LIMITED WARRANTY AND DISCLAIMER OF WARRANTY - THE SOFTWARE AND ACCOMPANYING WRITTEN MATERIALS (INCLUDING INSTRUCTIONS FOR USE) ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. FURTHER, Lymtech LLC DOES NOT WARRANT, GUARANTEE OR MAKE ANY REPRESENTATIONS REGARDING THE USE, OR THE RESULTS OF USE, OF THE SOFTWARE OR WRITTEN MATERIALS IN TERMS OF CORRECTNESS, ACCURACY, RELIABILITY, CURRENTNESS, OR OTHERWISE, THE ENTIRE RISK AS TO THE RESULTS AND PERFORMANCE OF THE SOFTWARE IS ASSUMED BY YOU. IF THE SOFTWARE OR WRITTEN MATERIALS ARE DEFECTIVE YOU, AND NOT Lymtech LLC OR ITS DEALERS, DISTRIBUTORS, AGENTS, OR EMPLOYEES, ASSUME THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION.

THE ABOVE IS THE ONLY WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, THAT IS MADE BY Lymtech LLC ON THIS Lymtech LLC PRODUCT. NO ORAL OR WRITTEN INFORMATION OR ADVICE GIVEN BY Lymtech LLC, ITS DEALERS, DISTRIBUTORS, AGENTS OR EMPLOYEES SHALL CREATE A WARRANTY OR IN ANY WAY INCREASE THE SCOPE OF THIS WARRANTY AND YOU MAY NOT RELY ON SUCH INFORMATION ADVICE. YOU MAY HAVE OTHER RIGHTS WHICH VARY FROM COUNTRY TO COUNTRY, THIS WARRANTY SHALL ONLY BE EFFECTIVE IF THE REGISTRATION CARD IS SIGNED BY THE LICENSEE AND RETURNED TO Lymtech LLC.

NEITHER Lymtech LLC NOR ANYONE ELSE WHO HAS BEEN INVOLVED IN THE CREATION, PRODUCTION OR DELIVERY OF THIS PRODUCT SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES (INCLUDING DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, AND THE LIKE) ARISING OUT OF THE USE OR INABILITY TO USE SUCH PRODUCT EVEN IF Lymtech LLC HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

ACKNOWLEDGMENT - YOU ACKNOWLEDGE THAT YOU HAVE READ THIS LICENCE AND LIMITED WARRANTY, UNDERSTAND THEM, AND AGREE TO BE BOUND BY THEIR TERMS AND CONDITIONS. YOU ALSO AGREE THAT THE LICENSE AND LIMITED WARRANTY ARE THE COMPLETE AND EXCLUSIVE STATEMENT OF AGREEMENT BETWEEN THE PARTIES AND SUPERSEDE ALL PROPOSALS OR PRIOR AGREEMENTS, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATIONS BETWEEN THE PARTIES RELATING TO THE SUBJECT MATTER OF THE LICENSE OR THE LIMITED WARRANTY.


Installation

PC Version

The Window Vista/Win7 version of the software is installed along with documentation and this helpfile from a standard Windows ''Setup.exe'' installation program.

PDA Version

The PDA software cannot be installed automatically as there are many variations on the operating system and the ''persistent'' memory used. With the PDA the user will select the correct executable file based on a directory structure on the CD which indicates Operating System version and language required.

The SMmobile.exe program file will not run on a standard PC and will normally be copied once the Microsoft Activesync program has connected the PDA to the PC being used. Typical directory locations are ...

WinCE.net

  • Place SMce.exe in the Mobile Device/Program Files directory

  • create a shortcut and place this in the Mobile Device/Windows/Desktop directory

PocketPC/Mobile

  • Place SMmobile.exe in the Mobile Device/Windows/Program Files directory

  • create a shortcut and place this in the Mobile Device/Windows/Start Menu directory


PDA Platform

The SonarMite software SLce.exe has been designed to run on a wide range of PDAs,

The software provides the following features ...

  • Control, display and collection of SonarMite echo sounder data

  • Collection, display and filtering of GPS position data

  • Collection, display and filtering of Total Station position data

  • On-line tracking to predefined WayPoints

  • Transmission of SonarMite data to third party applications

PDA software is compiled under specific platforms determined by the build of the operating system and the specific processor used ...

WinCE 4.1 (Hitachi)

WinCE 4.2.net (ARM)

PocketPC 2002 (ARM)

PocketPC 2003 (ARM)

PocketPC 2005 (ARM)


PC Platform

The SonarMite software SMvista.exe has been designed to run on a wide range of PCs, because it was designed for use with a PDA the software is particularly suitable for use with the TabletPC range of computers.

The software provides the following features ...

  • Control, display and collection of SonarMite echo sounder data

  • Collection, display and filtering of GPS position data

  • Collection, display and filtering of Total Station position data

  • On-line tracking to predefined WayPoints

  • Transmission of SonarMite data to third party applications

There are several differences between the PC and PDA versions of the software ...

  • 4 Window panes including the Heave/Pitch/Roll window

  • Within the File menu is the REPLAY function to redraw a collected datafile (.son)

  • There is a help menu which includes this help file


TabletPC Platform

TabletPC

The SonarMite software SMxp.exe has been designed to run on a PC using the TabletPC version of the Windows operating system, because it was designed for use with a PDA the software is particularly suitable for use with the TabletPC range of computers.

Trimble Tablet PC in Portrait & Landscape Modes

The software provides the following features ...

  • Control, display and collection of SonarMite echo sounder data

  • Collection, display and filtering of GPS position data

  • Collection, display and filtering of Total Station position data

  • On-line tracking to predefined WayPoints

  • Transmission of SonarMite data to third party applications

There are several differences between the TabletPC and PC versions of the software ...

  • 4 Window panes including the Heave/Pitch/Roll window

  • Within the File menu is the REPLAY function to redraw a collected datafile (.son)

  • There is a help menu which includes this help file


Registration

The SonarMite and SonarXP software products are all 'soft 'registered, this does not disable the SonarMite use in any way but encourages the user to register the product before complete use, in particular the GPS data collection is disabled until the product is registered.

The first time the software is run the following 'nag 'screen will appear ...

Pressing the 'Help ' Icon shown below will reveal the Aboutbox

Contained in the Aboutbox will be the registration status and the SERIAL number, also refered to as the Software KEY number within the documentation.

Log on to the ohmex registration page at www.ohmex.com/register.htm

Complete the registration form using the instructions shown on the page (above) and enter the SERIAL number in the box provided, when complete press the REGISTER button, the screen will clear and the following message displayed.

Press the BACK button and the registration number will be displayed ...

Within the SonarMite software, display the Aboutbox and enter a copy of the registration number in the entry box proveded in the registration area.

Press the REGISTER button and then display the AboutBox again.

It should state the product is now 'registered'.


Screen Layout

The software displays data in 4 individual window ''Panes'' (3 Panes on a PDA display), these are separated by drag bars which can be dragged to stretch the particular pane to size. The data displayed in the pane will dynamically rescale to fit the new pane size.

LEFT/RIGHT TRACKING PANE

This pane at the top of the display allows the user to track actual position against required position when following a particular pair of WayPoints referred to as a ''From/To'' pair. The left of the pane shows an arrow which will rotate to reflect the current Azimuth angle. The right of the pane shows a left/right indicator where a small white rectangle will move left/right of the center position to reflect current error from the selected line, the box moves logarithmically with respect to distance giving greater accuracy with smaller distances.

POSITION TRACKING PANE

The position pane shows a ''snail trail'' of previously recorded positions up to the buffer size set in the Properties box for the display. The user can set the size of the points drawn and whether or not the successive points are joined together with a line. The points are colored in the same depth scheme as the SonarMite depth pane.

SONARMITE DEPTH PANE

The SonarMite panes shows a scrolling history of depth, the current value is drawn to the right hand side of the display and scrolled left. The display represents a time series of current and past depth values used to locate features. Resizing the display causes the data to be lost and redrawn. The speed of the display scrolling and hence the length of history and detail of the plot are controlled by double clicking the right and left of the display area,

HEAVE, PITCH & ROLL PANE

The bottom pane of the display on PC versions of the software will display the current attitude values measured by the SonarMite, if the sensors are present.

MAIN ICONS

The main Icons apply to the currently active pane (selected by touching the pane). These icons appear in different locations on different versions of the software but are always present as they control many important functions such as event marking and entering registration details.


Menu Items

The following are shortcuts to menu items ...

File

  New   Open   Save   Save As   LogFile   Logging

WayPoints

    Load   Enter   Mark     Save     Clear   Exit

Device

  SonarMite   GPS   Parser   Event

Options

    Status   Clear GPS   Debug   Test Data

Help

ToolBar

Zoom Out

Zoom In

Zoom Extents

Event

Aboutbox


Double Click Areas

The individual screen panes are sub-divided into 3x3 areas that are sensitive to double clicking either the mouse button or a stylus pen.

Position Tracking Pane

As shown below double clicking around the edge of the screen moves the image in the direction of the arrow shown, double clicking the center of the screen will show the Properties Dialog box for the drawing of the position ''snail trail''.

SonarMite Pane

Double clicking areas to the top and bottom of the pane will increase/decrease vertical scaling in the corner arrows or move the scale up/down on the central arrows. Double clicking the left or right arrows will increase or decrease the scrolling speed of the display. Double clicking the center of the pane will display the SonarMite properties dialog box

Text Windows

When the panes are sized small they revert to text only windows, double clicking text windows on the left, center or right of the pane will change the data displayed.


Max/Min Depth

Set Max/Min Depth Alarms

Two icons appear on the menu to select maximum and minimum depth setting alarms.

If current depth < Minimum depth then Text reports will change to Blue colour and alarm will sound.

If current depth > Maximum depth then Text repors will change to Red colour and alarm will sound.

Clicking the green icon will reset alarms to default values


New

WARNING - FILE CREATION/ACCESS MAY FAIL IF THE USER DOES NOT HAVE PERMISSIONS TO OPEN FILES IN CURRENT LOCATION !

The New menu option will clear any current settings and reset the software to its initial state.


Open

WARNING - FILE CREATION/ACCESS MAY FAIL IF THE USER DOES NOT HAVE PERMISSIONS TO OPEN FILES IN CURRENT LOCATION !

The Open menu option will reload a previously saved settings file ...


Save

WARNING - FILE CREATION/ACCESS MAY FAIL IF THE USER DOES NOT HAVE PERMISSIONS TO OPEN FILES IN CURRENT LOCATION !

The Save menu option will save all the current settings in a file that can be reloaded at a later date without having to reset values each time the software is run. The file when saved will have a .smt file extension which can be used to run the program indirectly by double clicking the datafile or creating a shortcut to the datafile from say the desktop environment.

Settings that are saved include ...

  • Current Device connections

  • Waypoint information including From/To settings

  • Current GPS parser settings

Settings that are NOT saved include ...

  • Current data history of Positions seen

  • Any Flag settings made on the SonarMite device

  • Screen layout settings

The file created by this option is used to save the program settings and is entirely different from the datafile created using the LogFile menu options !


Save As

WARNING - FILE CREATION/ACCESS MAY FAIL IF THE USER DOES NOT HAVE PERMISSIONS TO OPEN FILES IN CURRENT LOCATION !

The Save As menu option is similar to the Save option but enables the program settings to be saved in a new named file rather than the currently open file .


Export

Export Data

WARNING - FILE CREATION/ACCESS MAY FAIL IF THE USER DOES NOT HAVE PERMISSIONS TO OPEN FILES IN CURRENT LOCATION !

The Export file is the name of a file in which the collected position and sonarmite data will be exported. The file created will have a .s2k or .hex file extension and is in an ASCII format that can read by many other packages or used to debug data collection faults .

Depending on extension selected the output data will be ....

D 1.10 -0.40 0.71 4.16 0.00 102 2004 8 4 11 16 20.00
L 9.1253697 45.4600877 0.00 4.16 0.00 0 2004 8 4 11 16 20.00
D 1.20 -0.20 0.71 3.81 0.00 107 2004 8 4 11 16 20.00
D 1.40 -0.30 0.70 3.81 0.00 112 2004 8 4 11 16 21.00
L 9.1254003 45.4600342 0.00 3.81 0.00 0 2004 8 4 11 16 21.00
D 1.50 -0.30 0.70 3.81 0.00 111 2004 8 4 11 16 21.00
L 9.1254127 45.4600107 0.00 3.81 0.00 0 2004 8 4 11 16 22.00
D 1.50 -0.30 0.71 3.14 0.00 124 2004 8 4 11 16 22.00
D 1.50 -0.30 0.71 3.14 0.00 116 2004 8 4 11 16 22.00
L 9.1254127 45.4600107 0.00 3.14 0.00 0 2004 8 4 11 16 23.00
D 1.50 -0.20 0.71 3.19 0.00 121 2004 8 4 11 16 23.00
D 1.60 -0.20 0.72 3.19 0.00 123 2004 8 4 11 16 23.00
L 9.1254127 45.4600107 0.00 3.19 0.00 0 2004 8 4 11 16 24.00

S2K Format

D D4 7 8 0 3 0 4 0 B 0 10 0 14 0 0 0 9A 99 99 99 99 99 F1 3F 9A 99 99 99 99 99 D9 BF 8F C2 35 3F A0 1 10 66
L D4 7 8 0 3 0 4 0 B 0 10 0 14 0 0 0 CF 7C F4 73 30 40 22 40 2C D0 14 27 E4 BA 46 40 0 0 0 0 A0 1 21 0
D D4 7 8 0 3 0 4 0 B 0 10 0 14 0 0 0 33 33 33 33 33 33 F3 3F 9A 99 99 99 99 99 C9 BF 8F C2 35 3F 7D 1 10 6B
D D4 7 8 0 3 0 4 0 B 0 10 0 15 0 0 0 66 66 66 66 66 66 F6 3F 33 33 33 33 33 33 D3 BF 33 33 33 3F 7D 1 10 70
L D4 7 8 0 3 0 4 0 B 0 10 0 15 0 0 0 F9 25 F5 78 34 40 22 40 21 70 4A 66 E2 BA 46 40 0 0 0 0 7D 1 21 0
D D4 7 8 0 3 0 4 0 B 0 10 0 15 0 0 0 0 0 0 0 0 0 F8 3F 33 33 33 33 33 33 D3 BF 33 33 33 3F 7D 1 10 6F
L D4 7 8 0 3 0 4 0 B 0 10 0 16 0 0 0 CB AC CB 16 36 40 22 40 7F 92 28 A1 E1 BA 46 40 0 0 0 0 7D 1 21 0
D D4 7 8 0 3 0 4 0 B 0 10 0 16 0 0 0 0 0 0 0 0 0 F8 3F 33 33 33 33 33 33 D3 BF 8F C2 35 3F 3A 1 10 7C
D D4 7 8 0 3 0 4 0 B 0 10 0 16 0 0 0 0 0 0 0 0 0 F8 3F 33 33 33 33 33 33 D3 BF 8F C2 35 3F 3A 1 10 74
L D4 7 8 0 3 0 4 0 B 0 10 0 17 0 0 0 CB AC CB 16 36 40 22 40 7F 92 28 A1 E1 BA 46 40 0 0 0 0 3A 1 21 0
D D4 7 8 0 3 0 4 0 B 0 10 0 17 0 0 0 0 0 0 0 0 0 F8 3F 9A 99 99 99 99 99 C9 BF 8F C2 35 3F 3F 1 10 79
D D4 7 8 0 3 0 4 0 B 0 10 0 17 0 0 0 9A 99 99 99 99 99 F9 3F 9A 99 99 99 99 99 C9 BF EC 51 38 3F 3F 1 10 7B
L D4 7 8 0 3 0 4 0 B 0 10 0 18 0 0 0 CB AC CB 16 36 40 22 40 7F 92 28 A1 E1 BA 46 40 0 0 0 0 3F 1 21 0

HEX Format


LogFile

LogFile Name

WARNING - FILE CREATION/ACCESS MAY FAIL IF THE USER DOES NOT HAVE PERMISSIONS TO OPEN FILES IN CURRENT LOCATION !

The Log file is the name of a file in which the collected position and sonarmite data will be saved. The file created will have a .son file extension and is in a binary format that can only be imported into the SonarVista software package.

The actual data logging is toggled on and off by the Logging menu option.


Logging

The Logging menu option will toggle on/off the logging of data to the file selected with the LogFileName menu option. The option will be disabled (1) until a valid LogFileName has been selected (2).

When the system is logging data a checkmark (3) will appear alongside the Logging menu option.

Also when Logging the 'Event' icon in the main display will be enabled ...


Redraw

The redraw function allows the user to Redraw in fast time previously stored data in a .som file.

While the data is being redrawn the logging will be disabled.

The data is drawn from the begining of the file to end.


Load

Load WayPoints

This menu option will load a series of Waypoints ...

The Waypoints are stored in a simple text file format as below ...

-59.6300608 13.0993096 PNT1

-59.6297848 13.1008215 PNT2

-59.6262256 13.0992111 PNT3

-59.6270062 13.0980541 PNT4

The file contains a simple comma/space delimited list of X/Y coordinates with a simple point descriptor. The user should ensure the X/Y coordinates are in the same form as their position parser settings, thatis, local coordinates (3 dec places) or decimal degrees ( 7 dec places) for GPS.

When the user has entered at least 2 Waypoints the screen extents will be set to the limit of the Waypoints.


Enter

Enter WayPoints

The Enter Waypoints menu option is only available on the PC version of the software and enables the user to enter the coordinates and name (ID) of a WayPoint, the coordinates are initially set to the current X/Y coordinates to help enter a Waypoint at the current location.

The values can be entered as integer degrees and integer minutes, integer degrees and decimal minutes or as decimal degrees. The actual value used is (Deg + (Min/60)).


Mark

Mark WayPoints

The Mark Waypoints menu option allows the user to select from the list of Waypoints loaded a 'from' and 'to' waypoint to be marked on the screen and used by the tracking algorythm.

Once selected the 'from' waypoint is marked with a small red circle and the 'to' waypoint is marked with a slightly larger red circle and a red line is drawn between them. These are the points used by the tracking algorythm and displayed in the Left./Right window pane.


Save WP

Save WayPoints

The Save Waypoints menu option allows the user to save the current list of waypoints to a simple X/Y datafile similar to that shown in the WayPoints Load menu option. The output file is stored in ASCII form with the .xyz file extension ...


Clear WP

Clear WayPoints

The Clear Waypoints menu option allows the user to remove all the current WayPoints and redraw the position display. When no WayPoints are present the screen extents will zoom to the extents of the current history of stored position points.


Exit

The Exit menu option will close all open files and devices then exit the program.

The user should be aware that using the [image] icon in environments such as PocketPC will not close the application but leave it in a suspended state in memory.


SonarMite

SonarMite Open

The SonarMite menu option allows the user to connect the software input to the SonarMite using a serial port device supplied by the operating system, this can be a direct port connection or an indirect connection using Bluetooth, IR or WiFi ...

When connected the menu option will be shown with a checkmark alongside, selecting the menu option while it is ''Checked'' will cause the connection to be closed.


SM Properties

SonarMite Properties

When the SonarMite is connected then double clicking the center of the SonarMite display pane will call the following dialog box ...

Use GPS

If enabled the SonarLite will allow GPS input through its serial port and merge the position and depth data

Invert Pitch

Selecting this option will reverse the sense of pitch measurement from N/S to S/N

Invert Roll

Selecting this option will reverse the sense of roll measurement from E/W to W/E

Heave + Depth

Selecting this option will directly add the heave values to depth values

Absolute Heave

Selecting this option gives instantaneous (absolute) rather than accumulated heave values.

Null Offsets

Clearing then selecting this option will null all offsets to current values.

Socket Number

If other than zero current depth data will be transmitted as a UDP network message on this socket number.

QA Setting

The Slider varies the acceptable Depth QA value from 80 (Slider in up position) to 120 (Slider in down position). The lower the number and QA then the more data will get through this filter. This filter is used to control data sent out on the socket message to prevent low quality data being transmitted.


Open GPS

GPS Open

The GPS menu option allows the user to connect the software input to the positioning instrument using a serial port device supplied by the operating system, this can be a direct port connection or an indirect connection using Bluetooth, IR or WiFi ...

When connected the menu option will be shown with a checkmark alongside, selecting the menu option while it is ''Checked'' will cause the connection to be closed.


Parser

Position Parser

The position parser is used to control the incomming position string to ensure the correct data string is encountered and processed ...

Start ID

The string marking the begining of the required data string (e.g. ''GGA'').

End ID

The string marking the end of the required data string (e.g. '' *' '), not normally required.

Parameter Positions

The parsing algorithm first converts all non-numeric data into spaces then refers to the parameter position in the list of remaining number for conversion.

GPS checkbox

Set if input parameters are GPS format (e.g. ddmm.mmmm), also controls output formats.

Use Elevation

If selected then the data refered to in the elevation parameter is used, else Z is set to zero.

Min QA

Uses the GPS quality number to filter bad data points when lower quality value. Setting the value to zero nulls the use of the min QA value and accepts all values.

Formats

A list of typical formats including GGA, GLL, XYZ, GGK, PJK, ATS

Limits

Limits are used as a range filter on incomming data to ensure it is within sensible limits and to avoid stray ''Wild'' data points getting through. Default values are for maximum GPS angle values.


GPS Properties

Position Drawing Properties

Double clicking the center of the Position Tracking pane will recall the following dialog box ...

Point Size

Sets the pixel size of the circle drawn for each point.

Join Points Checkbox

If selected the individual sequential points will be joined with a line.

Buffer Size

Size of buffer in number of points held, this controls the number of points shown on screen as a ''snail trail'' of previous positions. When the buffer size is reached the older points are deleted from the end of the buffer.

Grid Scale

Sets the grid size to various constant values from 1m upto 10km.

Grid Layout

Selects one of the grid formats from None, Rectangular Grid and Radial Grid.


Event

This menu option duplicates the action of the Event Icon.


Status

The Status menu option will display a dialog box showing current status and statistics.


Clear GPS

The Clear GPS menu option will delete the current position history (snail trail) . The main reason for this option is if a stray position is accepted and forces screen drawing to ridiculous limits or if the user wishes to start fresh logging and screen tracking.

The amount of position datapoints retained in memory is set using the Position Screen Properties dialog box found by double clicking the centre of the position pane.


Debug

The Debug menu option enables the system to display the actual position or SonarMite data received in the text output screens, rather than the processed data which may have been filtered for QA values and parsing.

When enabled the Debug option will display a checkmark alongside the option.


Test Data

The Test Data menu option will feed simulated data into the system for demonstration and test purposes.

The Position window will receive 50 quasi GPS values drawn in a rectangulat spiral at about 5Km spacing.

The SonarMite display will draw a 0.5 to 4.5m Sine Wave at about 1 second intervals.


Zoom In

The Zoom In Icon applies to the active screen pane as below ...

Position Pane

The Zoom In Icon will zoom the drawn position data and waypoints to a larger scale

SonarMite Pane

The Zoom In Icon will zoom the display to minimum depth of 0 to 5m


Zoom Out

The Zoom Out Icon applies to the active screen pane as below ...

Position Pane

The Zoom Out Icon will zoom the drawn position data and waypoints to a smaller scale

SonarMite Pane

The Zoom In Icon will zoom the display to maximum depth of 0 to 50m


Zoom Extents

The Zoom Extents Icon applies to the active screen pane as below ...

Position Pane

The Zoom Extents Icon will zoom the drawn position data and waypoints to the limits of the data set on the following basis ...

  • No WayPoints - Limits of the Position history (Snail Trail).

  • WayPoints - Limits of the Way Points only

  • From/To Selected - Limits set by the From and To Points.

SonarMite Pane

The Zoom Extents Icon will zoom the display to minimum depth of 0 to 5m


Event Mark

When the Logging menu option is enabled then both the Event menu option and the Event Icon will also be enabled, pressing either the following dialog will appear ...

If selected the log file will contain an event mark at the current time and location, additionally if GPS is enabled the user has the option to include the event mark in with other waypoints, a useful feature if an item is marked in the field for return at a later date.

.


AboutBox

The Aboutbox gives information on Copyright, Version number, Status and Registration.


Bluetooth

The SonarMite echo sounder, BT and HPR models have Bluetooth wireless interfaces to the outgoing data stream. This transmitter can be seen by other devices such as PDA's and PC's equipped with a Bluetooth interface. The SonarMite is a Bluetooth ''Slave'' device, if lock is lost with a paired device the simplest solution is to switch the SonarLite off by disconnecting the transducer then on again, the paired ''Master'' device such as the PDA will then rediscover the SonarMite and renew the connection.

The following is a typical Bluetooth setup, however, most individual devices will have slightly different procedures. In order to make a reliable connection the SonarMite device should be ''Paired'' with the other Bluetooth device, this enables the device to connect to the SonarMite without repeatedly asking for the password key, a typical sequence of setting up the SonarMite with a PC driver is as follows.

1) The Driver searches for Bluetooth devices within range ...

2) The user selects from a list of detected devices.

, SonarMite always is of the format SM###### ...

3) In order to ''Pair'' the device the Passkey PIN is required.

This is always ''1111'' for a SonarMite device ...

4) The ''Paired'' device is allocated a Comms port number.

This Comm port is selected when connecting to the SonarMite device.

The above example is a typical driver interface, other drivers may have a slightly different interface or appearance but in essence do the same thing.


WayPoint Tracking

When WayPoints are present and marked the top pane of the SonarMite display will show the corrections required to follow the selected line.

XDE - Also referred to as ''Cross Track Error'' is the distance calculated normal to the desired line from the current position. This value in meters is positive when the current position is to the right of the line and negative when the current position is to the left of the line.

AZM - Also referred to as the Azimuth is the angle between the desired heading (From/To) and the actual heading from the current position to the ''To'' point.

The Azimuth arrow shown in the tracking display is the reciprocal of the Azimuth angle and represents the angle to steer to intercept the ''To'' point. For normal line following the Azimuth should be in the ''Up'' position and the Cross Track error should be as near to zero as possible and is illustrated in the tracking display as a small white rectangle which moves left/right of the line in a logarithmic scale.

By double clicking the left, center or right of the tracking display the message will change to display the ''From/To'' information, the EXD/AZM information or the remaining bearing and distance from the current position to the ''To'' point.

By shrinking the pane to about 1/10th the screen height the display will change to a text only format showing all three parameter strings as below ...

Sound Prompts

By clicking the Tracking display the user can toggle sound prompts on and off, a black background indicates sound on, a gray background indicates sound off. When sound is enabled and a ''From/To'' waypoint pair are selected the following indicates position status by sound on each position update ...

Over 100m left of line = Dong

Over 2m left of line = Tick Tick

Within 2m of the line = Chime

Over 2m right of line = Beep Beep

Over 100m right of line = Dong

The sound level can be adjusted in volume or disabled using the standard windows sound control icons.


Latency

Latency is the time lag between when an event occures and when it is processed and stored, the typical example of latency is the depth measured by an echo sounder being tied to a position. The sources of latency are complex and can include all or some of the following ...

  • Position delays between calculation and output of results (GPS)

  • Computer delays using serial communication streams (Computers & Devices)

  • Computer delays caused by pre-emptive multi-threading of single processors (Devices)

  • Position delays between transmission of correction and updated parameters (GPS)

  • Physical time of flight errors (Echo Sounders)

  • Deskewing errors with multiparameter measurements (Robotic Total Stations)

The method of calculating and adjusting for latency is called patch testing, in simple terms this compares two measurements of the same physical entity but in two opposite directions. The SonarXP software included with the SonarMite includes a facility to calculate a patchtest and apply any adjustment. The procedure requires the user to have collected part of the data set in a particular way, with reference to the following drawing the data needs to have been collected &ldots;.

  • Along a line in opposite directions keeping as near as possible to the same line.(S>E>S).

  • The lines should run normal to contours of a well defined feature not along them.

  • The boat speed should be kept as slow and even as practical in both directions.

With the above data collected the user then selects the data within the SonarXP software using the ‘PatchTest’ button and dragging the cursor around the relevant data points. The software then performs a Moment calculation about the first point in the dataset and reports the following values in a dialog box &ldots;.

The values calculated are as follows &ldots;.

TIME (over) – The time between the first and last points selected

CONFIDENCE – The ratio of the sectional areas measured in the opposite directions, a value of 100% indicates that the measured areas are equal.

SPEED – The total distance covered point to point divided by the total time.

ERROR – The difference in Moments assuming the sectional areas are equal

ADJUSTMENT – The time adjustment in seconds to shift half of the ERROR at the calculated SPEED. The error is divided by two because it is assumed to be equal and opposite in both directions travelled.

IF THE ERROR IS TO BE APPLIED THEN THE USER NEEDS TO ENTER THE TIME OFFSET IN EITHER THE DEPTH OR POSITION OFFSET DIALOG BOX (See Edit Menu). Once applied the user should recheck the same dataset to ensure that the error has been applied to the correct component and with the correct sign.


Speed of Sound

Speed of Sound in Water (SV or SoS)

In the SonarMite the Speed of Sound is set constant at 1500m/second, any changes should be applied in the SonarXP post process software.

The default Speed of Sound in Water(SoS) setting is 1500m/second. In practice this velocity value can vary due to several factors &ldots;

  • Water Temperature

  • Water Salinity

  • Water Turbidity

All of the above factors vary the density of the water in some way and effect the 'time of flight' of a pulse of ultrasound in water and hence the depth calculated from this time. The user can either measure the speed of sound in water by taking velocity profiles using a dedicated velocity measuring device or can use the static method in a known depth over a flat, firm base and the compare the measured value with the known depth.

The difference in Sound Velocity between warm fresh water and cold salt water is about +/-30m/Second which represents a change of depth of +/-2%, this must be viewed in context with typical depths of the survey, if a typical depth is 10m then the error could be about 20cm.


Data Formats

SonarMite Data Format

The standard SonarMite output message is eight numeric ASCII parameters, floating format, space delimited as ...

id depth roll pitch heave battery qa flags<cr><lf>

where ...

id = The id number of the instrument (0..7)

depth = current measured depth (m)

roll = current roll lateral atitude (+/-deg)

pitch = current pitch axial atitude (+/-deg)

heave = current heave depth correction (m)

battery = current battery condition (v)

qa = current depth relative qa value (0=null, 70=poor, 128=best)

flags = binary toggle flags 1=^X, 2=^Y, 4=^A, 8=^T, 16=^Z, 32=^G

Please note that if no transducer is seen or the qa is below 5 (out of water) then the output will appear as a string of 8 nulls at 1 second timeouts, in normal operation the eight numbers are reported at 0.5 second intervals.

If the SonarMite is the SP or BT variant without HPR sensors then the Pitch, Roll and Heave parameters will always be set to zero value.


Applying HPR

Applying Heave Pitch and Roll

The default HPR model of the SonarMite is as below ...

The Pitch and Roll members can be inverted by the SonarMite user which will effect the Dx and Dy corrections.

COORDINATE CORRECTION

The Pitch and Roll angles are used to adjust the real coordinates of the measured position of the GPS antenna. The adjustment (Dx/Dy) is corrected for the heading of the vessel using current and last coordinates in the data set. Once applied the Dx/Dy values are added to the position on output, heave (Dz) is also added to the elevation of the point.

note: HPR adjustment is disabled if there is no Zoffset value (Antenna Height).